BaseTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.pluginxml.BaseTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class BaseTag

    java.lang.Object
      org.hyperic.hq.product.pluginxml.BaseTag

All Implemented Interfaces:
  XmlAttrHandler, XmlFilterHandler, XmlTagEntryHandler, XmlTagExitHandler, XmlTagHandler

Direct Known Subclasses:
  CustomPropertiesTag, CustomPropertyTag, EmbedTag

    public abstract class BaseTag

extends java.lang.Object
implements XmlTagHandler, XmlTagEntryHandler, XmlTagExitHandler, XmlFilterHandler, XmlAttrHandler

Method Summary
`void` | `enter()`
`void` | `exit()`
`java.lang.String` | `filterAttrValue(XmlTagHandler tag, java.lang.String name, java.lang.String value)`
`XmlAttr[]` | `getAttributes()` Get a list of attributes which the handler knows about.
`protected org.apache.commons.logging.Log` | `getLog()`
`XmlTagInfo[]` | `getMergedSubTags(XmlTagInfo[] base, XmlTagInfo add)`
`XmlTagInfo[]` | `getMergedSubTags(XmlTagInfo[] base, XmlTagInfo[] add)`
`abstract java.lang.String` | `getName()` Retrieve the name of the tag, without angled brackets.
`java.lang.String[]` | `getOptionalAttributes()`
`java.lang.String[]` | `getRequiredAttributes()`
`XmlTagInfo[]` | `getSubTags()` Retrieve information about which subtags are valid within the given tag.
`void` | `handleAttribute(int idx, java.lang.String value)` Called when XmlParser finds a known attributes (as returned by getAttributes()).
`void` | `handleAttribute(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public abstract java.lang.String getName()

  Description copied from interface: `XmlTagHandler`
  Retrieve the name of the tag, without angled brackets. (i.e. "foo" for tags named )

  Specified by:
    `getName` in interface `XmlTagHandler`
  Returns:
    The name of the tag

### getLog

    protected org.apache.commons.logging.Log getLog()

### getOptionalAttributes

    public java.lang.String[] getOptionalAttributes()

### getRequiredAttributes

    public java.lang.String[] getRequiredAttributes()

### getAttributes

    public XmlAttr[] getAttributes()

  Description copied from interface: `XmlAttrHandler`
  Get a list of attributes which the handler knows about.

  Specified by:
    `getAttributes` in interface `XmlAttrHandler`

### handleAttribute

    public void handleAttribute(int idx,
                                java.lang.String value)
                         throws XmlAttrException

  Description copied from interface: `XmlAttrHandler`
  Called when XmlParser finds a known attributes (as returned by getAttributes()).

  Specified by:
    `handleAttribute` in interface `XmlAttrHandler`
  Parameters:
    `idx` - An index into the array which was returned from getAttributes. The index represents the found attribute
    `value` - The value of the attribute
  Throws:
    `XmlAttrException`

### handleAttribute

    public void handleAttribute(java.lang.String name,
                                java.lang.String value)
                         throws XmlAttrException

  Throws:
    `XmlAttrException`

### getSubTags

    public XmlTagInfo[] getSubTags()

  Description copied from interface: `XmlTagHandler`
  Retrieve information about which subtags are valid within the given tag. This method will only be called once for each object.

  Specified by:
    `getSubTags` in interface `XmlTagHandler`
  Returns:
    An array of tag information objects, indicating which subtags are valid.

### getMergedSubTags

    public XmlTagInfo[] getMergedSubTags(XmlTagInfo[] base,
                                         XmlTagInfo add)

### getMergedSubTags

    public XmlTagInfo[] getMergedSubTags(XmlTagInfo[] base,
                                         XmlTagInfo[] add)

### filterAttrValue

    public java.lang.String filterAttrValue(XmlTagHandler tag,
                                            java.lang.String name,
                                            java.lang.String value)

  Specified by:
    `filterAttrValue` in interface `XmlFilterHandler`

### enter

    public void enter()

  Specified by:
    `enter` in interface `XmlTagEntryHandler`

### exit

    public void exit()
              throws XmlTagException

  Specified by:
    `exit` in interface `XmlTagExitHandler`
  Throws:
    `XmlTagException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.